Bug 838618 - API call errata.listPackages only works for main organization
API call errata.listPackages only works for main organization
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.7
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-07-09 11:44 EDT by François BORIE
Modified: 2012-11-01 12:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:19:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François BORIE 2012-07-09 11:44:45 EDT
Description of problem:

The Spacewalk API call errata.listPackages or errata.getDetails only works with an account in the main organization. 
Using an account in another org, even if we have a system concerned by the specific errata we're looking for, it throws an error "The errata ... cannot be found"


Version-Release number of selected component (if applicable):
Spacewalk 1.7

How reproducible:
Always

Steps to Reproduce:
1. Create and share channels from main organization to other orgs, create and publish errata in those channels
2. Use the API call errata.listPackages or errata.getDetails from another org
  
Actual results:
The errata ****** cannot be found. (XMLRPC::FaultException)

Expected results:
Get details about the errata and packages which are concerned by this errata. 


Additional info:
Maybe linked to this problem : in the web UI, you see nothing if you click on "All errata" from a standard organization, whereas you can effectively see all errata when connected to main organization.
Comment 1 Tomáš Kašpárek 2012-07-31 10:03:51 EDT
fixed in spacewalk master 2588078268d806a98a6d3fe8d54e9e110efb3e3a
Comment 2 Jan Pazdziora 2012-10-30 15:24:36 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:19:57 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.